<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_object.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_object.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todo_object.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for each_task in todo_object.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' todo_object.id %}">{{ each_task.task }}</a></td>
                        <td>{{ each_task.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>